<template>
    <b-navbar toggleable="lg" type="dark" variant="dark" class="font-weight-bold">
        <b-navbar-brand to="/" class="d-flex align-items-center">
          <b-icon font-scale="1.6" icon="flower3"></b-icon>
          <span class="ml-1">MAGASIN</span>
        </b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
        <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav class="ml-auto">
            <b-nav-item to="/">Products</b-nav-item>
            <template v-if="user.id">
                <b-nav-item to="/compte">Account</b-nav-item>
                <b-nav-item v-on:click="signOut">Sign out</b-nav-item>
            </template>
            <b-nav-item v-else to="/connexion">Sign in</b-nav-item>
            <b-nav-item to="/panier"><b-icon icon="bag" font-scale="1.5"></b-icon> <small v-if="numberOfItems > 0">{{ numberOfItems }}</small></b-nav-item>
        </b-navbar-nav>
        </b-collapse>
    </b-navbar>
</template>

<script>
import { mapFields } from 'vuex-map-fields'
import { mapState } from 'vuex'
export default {
  name: 'Navigation',
  computed: {
    ...mapFields([
      'user'
    ]),
    ...mapState([
      'cart'
    ]),
    numberOfItems () {
      let num = 0
      this.cart.forEach(element => {
        num = num + Number(element.quantity)
      })
      return num
    }
  },
  methods: {
    signOut () {
      this.user = {}
      this.$router.push({ name: 'Homepage' })
    }
  }
}
</script>
